TOWCTRANS(3)

NAME
towctrans - wide-character transliteration

SYNOPSIS
#include <wctype.h>

wint_t towctrans (wint_t wc, wctrans_t desc);

DESCRIPTION
If wc is a wide character, the towctrans function translates it according to the transliteration descriptor desc. If wc is WEOF, WEOF is returned.

desc must be a transliteration descriptor returned by the wctrans function.

RETURN VALUE
The towctrans function returns the translated wide character, or WEOF if wc is WEOF.

CONFORMING TO
ISO/ANSI C, UNIX98

SEE ALSO
wctrans(3), towlower(3), towupper(3)

NOTES
The behaviour of towctrans depends on the LC_CTYPE category of the current locale.